XkbAddGeomOverlayKey(__libmansuffix__)

NAME
XkbAddGeomOverlayKey - Add a key to an existing overlay row

SYNOPSIS

XkbOverlayKeyPtr XkbAddGeomOverlayKey (XkbOverlayPtr overlay, XkbRowPtr row, char *under);

ARGUMENTS

- overlay
    overlay to be updated

- row
    row in overlay to be updated

- under
    primary name of the key to be considered

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements. The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties. XkbAddGeomOverlayKey adds one key to the row in the overlay. If there is no key named under in the row of the underlying section, XkbAddGeomOverlayKey returns NULL.

STRUCTURES

    typedef struct _XkbOverlayKey {
        XkbKeyNameRec           over;      /* name of this overlay key */
        XkbKeyNameRec           under;     /* name of the key under this overlay key */
    } XkbOverlayKeyRec,*XkbOverlayKeyPtr;